Package com.sap.ai.sdk.prompt.registry.model

# Class LlamaGuard38b

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.LlamaGuard38b

public class LlamaGuard38b extends Object
Filter configuration for Llama Guard 3 8B

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `LlamaGuard38b()`
  Default constructor for LlamaGuard38b.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LlamaGuard38b`
  `childExploitation(Boolean childExploitation)`
  Set the childExploitation of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `codeInterpreterAbuse(Boolean codeInterpreterAbuse)`
  Set the codeInterpreterAbuse of this `LlamaGuard38b` instance and return the same instance.
  `static LlamaGuard38b`
  `create()`
  Create a new `LlamaGuard38b` instance.
  `LlamaGuard38b`
  `defamation(Boolean defamation)`
  Set the defamation of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `elections(Boolean elections)`
  Set the elections of this `LlamaGuard38b` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `LlamaGuard38b`.
  `int`
  `hashCode()`
  `LlamaGuard38b`
  `hate(Boolean hate)`
  Set the hate of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `indiscriminateWeapons(Boolean indiscriminateWeapons)`
  Set the indiscriminateWeapons of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `intellectualProperty(Boolean intellectualProperty)`
  Set the intellectualProperty of this `LlamaGuard38b` instance and return the same instance.
  `Boolean`
  `isChildExploitation()`
  Get childExploitation
  `Boolean`
  `isCodeInterpreterAbuse()`
  Get codeInterpreterAbuse
  `Boolean`
  `isDefamation()`
  Get defamation
  `Boolean`
  `isElections()`
  Get elections
  `Boolean`
  `isHate()`
  Get hate
  `Boolean`
  `isIndiscriminateWeapons()`
  Get indiscriminateWeapons
  `Boolean`
  `isIntellectualProperty()`
  Get intellectualProperty
  `Boolean`
  `isNonViolentCrimes()`
  Get nonViolentCrimes
  `Boolean`
  `isPrivacy()`
  Get privacy
  `Boolean`
  `isSelfHarm()`
  Get selfHarm
  `Boolean`
  `isSexCrimes()`
  Get sexCrimes
  `Boolean`
  `isSexualContent()`
  Get sexualContent
  `Boolean`
  `isSpecializedAdvice()`
  Get specializedAdvice
  `Boolean`
  `isViolentCrimes()`
  Get violentCrimes
  `LlamaGuard38b`
  `nonViolentCrimes(Boolean nonViolentCrimes)`
  Set the nonViolentCrimes of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `privacy(Boolean privacy)`
  Set the privacy of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `selfHarm(Boolean selfHarm)`
  Set the selfHarm of this `LlamaGuard38b` instance and return the same instance.
  `void`
  `setChildExploitation(Boolean childExploitation)`
  Set the childExploitation of this `LlamaGuard38b` instance.
  `void`
  `setCodeInterpreterAbuse(Boolean codeInterpreterAbuse)`
  Set the codeInterpreterAbuse of this `LlamaGuard38b` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `LlamaGuard38b` instance.
  `void`
  `setDefamation(Boolean defamation)`
  Set the defamation of this `LlamaGuard38b` instance.
  `void`
  `setElections(Boolean elections)`
  Set the elections of this `LlamaGuard38b` instance.
  `void`
  `setHate(Boolean hate)`
  Set the hate of this `LlamaGuard38b` instance.
  `void`
  `setIndiscriminateWeapons(Boolean indiscriminateWeapons)`
  Set the indiscriminateWeapons of this `LlamaGuard38b` instance.
  `void`
  `setIntellectualProperty(Boolean intellectualProperty)`
  Set the intellectualProperty of this `LlamaGuard38b` instance.
  `void`
  `setNonViolentCrimes(Boolean nonViolentCrimes)`
  Set the nonViolentCrimes of this `LlamaGuard38b` instance.
  `void`
  `setPrivacy(Boolean privacy)`
  Set the privacy of this `LlamaGuard38b` instance.
  `void`
  `setSelfHarm(Boolean selfHarm)`
  Set the selfHarm of this `LlamaGuard38b` instance.
  `void`
  `setSexCrimes(Boolean sexCrimes)`
  Set the sexCrimes of this `LlamaGuard38b` instance.
  `void`
  `setSexualContent(Boolean sexualContent)`
  Set the sexualContent of this `LlamaGuard38b` instance.
  `void`
  `setSpecializedAdvice(Boolean specializedAdvice)`
  Set the specializedAdvice of this `LlamaGuard38b` instance.
  `void`
  `setViolentCrimes(Boolean violentCrimes)`
  Set the violentCrimes of this `LlamaGuard38b` instance.
  `LlamaGuard38b`
  `sexCrimes(Boolean sexCrimes)`
  Set the sexCrimes of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `sexualContent(Boolean sexualContent)`
  Set the sexualContent of this `LlamaGuard38b` instance and return the same instance.
  `LlamaGuard38b`
  `specializedAdvice(Boolean specializedAdvice)`
  Set the specializedAdvice of this `LlamaGuard38b` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `LlamaGuard38b` instance including unrecognized properties.
  `String`
  `toString()`
  `LlamaGuard38b`
  `violentCrimes(Boolean violentCrimes)`
  Set the violentCrimes of this `LlamaGuard38b` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LlamaGuard38b

    protected LlamaGuard38b()
    Default constructor for LlamaGuard38b.

- ## Method Details

  - ### violentCrimes

    @Nonnull public LlamaGuard38b violentCrimes(@Nullable Boolean violentCrimes)
    Set the violentCrimes of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `violentCrimes` - The violentCrimes of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isViolentCrimes

    @Nonnull public Boolean isViolentCrimes()
    Get violentCrimes
    Returns:
      violentCrimes The violentCrimes of this `LlamaGuard38b` instance.

  - ### setViolentCrimes

    public void setViolentCrimes(@Nullable Boolean violentCrimes)
    Set the violentCrimes of this `LlamaGuard38b` instance.
    Parameters:
      `violentCrimes` - The violentCrimes of this `LlamaGuard38b`

  - ### nonViolentCrimes

    @Nonnull public LlamaGuard38b nonViolentCrimes(@Nullable Boolean nonViolentCrimes)
    Set the nonViolentCrimes of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `nonViolentCrimes` - The nonViolentCrimes of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isNonViolentCrimes

    @Nonnull public Boolean isNonViolentCrimes()
    Get nonViolentCrimes
    Returns:
      nonViolentCrimes The nonViolentCrimes of this `LlamaGuard38b` instance.

  - ### setNonViolentCrimes

    public void setNonViolentCrimes(@Nullable Boolean nonViolentCrimes)
    Set the nonViolentCrimes of this `LlamaGuard38b` instance.
    Parameters:
      `nonViolentCrimes` - The nonViolentCrimes of this `LlamaGuard38b`

  - ### sexCrimes

    @Nonnull public LlamaGuard38b sexCrimes(@Nullable Boolean sexCrimes)
    Set the sexCrimes of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `sexCrimes` - The sexCrimes of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isSexCrimes

    @Nonnull public Boolean isSexCrimes()
    Get sexCrimes
    Returns:
      sexCrimes The sexCrimes of this `LlamaGuard38b` instance.

  - ### setSexCrimes

    public void setSexCrimes(@Nullable Boolean sexCrimes)
    Set the sexCrimes of this `LlamaGuard38b` instance.
    Parameters:
      `sexCrimes` - The sexCrimes of this `LlamaGuard38b`

  - ### childExploitation

    @Nonnull public LlamaGuard38b childExploitation(@Nullable Boolean childExploitation)
    Set the childExploitation of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `childExploitation` - The childExploitation of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isChildExploitation

    @Nonnull public Boolean isChildExploitation()
    Get childExploitation
    Returns:
      childExploitation The childExploitation of this `LlamaGuard38b` instance.

  - ### setChildExploitation

    public void setChildExploitation(@Nullable Boolean childExploitation)
    Set the childExploitation of this `LlamaGuard38b` instance.
    Parameters:
      `childExploitation` - The childExploitation of this `LlamaGuard38b`

  - ### defamation

    @Nonnull public LlamaGuard38b defamation(@Nullable Boolean defamation)
    Set the defamation of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `defamation` - The defamation of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isDefamation

    @Nonnull public Boolean isDefamation()
    Get defamation
    Returns:
      defamation The defamation of this `LlamaGuard38b` instance.

  - ### setDefamation

    public void setDefamation(@Nullable Boolean defamation)
    Set the defamation of this `LlamaGuard38b` instance.
    Parameters:
      `defamation` - The defamation of this `LlamaGuard38b`

  - ### specializedAdvice

    @Nonnull public LlamaGuard38b specializedAdvice(@Nullable Boolean specializedAdvice)
    Set the specializedAdvice of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `specializedAdvice` - The specializedAdvice of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isSpecializedAdvice

    @Nonnull public Boolean isSpecializedAdvice()
    Get specializedAdvice
    Returns:
      specializedAdvice The specializedAdvice of this `LlamaGuard38b` instance.

  - ### setSpecializedAdvice

    public void setSpecializedAdvice(@Nullable Boolean specializedAdvice)
    Set the specializedAdvice of this `LlamaGuard38b` instance.
    Parameters:
      `specializedAdvice` - The specializedAdvice of this `LlamaGuard38b`

  - ### privacy

    @Nonnull public LlamaGuard38b privacy(@Nullable Boolean privacy)
    Set the privacy of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `privacy` - The privacy of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isPrivacy

    @Nonnull public Boolean isPrivacy()
    Get privacy
    Returns:
      privacy The privacy of this `LlamaGuard38b` instance.

  - ### setPrivacy

    public void setPrivacy(@Nullable Boolean privacy)
    Set the privacy of this `LlamaGuard38b` instance.
    Parameters:
      `privacy` - The privacy of this `LlamaGuard38b`

  - ### intellectualProperty

    @Nonnull public LlamaGuard38b intellectualProperty(@Nullable Boolean intellectualProperty)
    Set the intellectualProperty of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `intellectualProperty` - The intellectualProperty of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isIntellectualProperty

    @Nonnull public Boolean isIntellectualProperty()
    Get intellectualProperty
    Returns:
      intellectualProperty The intellectualProperty of this `LlamaGuard38b` instance.

  - ### setIntellectualProperty

    public void setIntellectualProperty(@Nullable Boolean intellectualProperty)
    Set the intellectualProperty of this `LlamaGuard38b` instance.
    Parameters:
      `intellectualProperty` - The intellectualProperty of this `LlamaGuard38b`

  - ### indiscriminateWeapons

    @Nonnull public LlamaGuard38b indiscriminateWeapons(@Nullable Boolean indiscriminateWeapons)
    Set the indiscriminateWeapons of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `indiscriminateWeapons` - The indiscriminateWeapons of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isIndiscriminateWeapons

    @Nonnull public Boolean isIndiscriminateWeapons()
    Get indiscriminateWeapons
    Returns:
      indiscriminateWeapons The indiscriminateWeapons of this `LlamaGuard38b` instance.

  - ### setIndiscriminateWeapons

    public void setIndiscriminateWeapons(@Nullable Boolean indiscriminateWeapons)
    Set the indiscriminateWeapons of this `LlamaGuard38b` instance.
    Parameters:
      `indiscriminateWeapons` - The indiscriminateWeapons of this `LlamaGuard38b`

  - ### hate

    @Nonnull public LlamaGuard38b hate(@Nullable Boolean hate)
    Set the hate of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `hate` - The hate of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isHate

    @Nonnull public Boolean isHate()
    Get hate
    Returns:
      hate The hate of this `LlamaGuard38b` instance.

  - ### setHate

    public void setHate(@Nullable Boolean hate)
    Set the hate of this `LlamaGuard38b` instance.
    Parameters:
      `hate` - The hate of this `LlamaGuard38b`

  - ### selfHarm

    @Nonnull public LlamaGuard38b selfHarm(@Nullable Boolean selfHarm)
    Set the selfHarm of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `selfHarm` - The selfHarm of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isSelfHarm

    @Nonnull public Boolean isSelfHarm()
    Get selfHarm
    Returns:
      selfHarm The selfHarm of this `LlamaGuard38b` instance.

  - ### setSelfHarm

    public void setSelfHarm(@Nullable Boolean selfHarm)
    Set the selfHarm of this `LlamaGuard38b` instance.
    Parameters:
      `selfHarm` - The selfHarm of this `LlamaGuard38b`

  - ### sexualContent

    @Nonnull public LlamaGuard38b sexualContent(@Nullable Boolean sexualContent)
    Set the sexualContent of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `sexualContent` - The sexualContent of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isSexualContent

    @Nonnull public Boolean isSexualContent()
    Get sexualContent
    Returns:
      sexualContent The sexualContent of this `LlamaGuard38b` instance.

  - ### setSexualContent

    public void setSexualContent(@Nullable Boolean sexualContent)
    Set the sexualContent of this `LlamaGuard38b` instance.
    Parameters:
      `sexualContent` - The sexualContent of this `LlamaGuard38b`

  - ### elections

    @Nonnull public LlamaGuard38b elections(@Nullable Boolean elections)
    Set the elections of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `elections` - The elections of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isElections

    @Nonnull public Boolean isElections()
    Get elections
    Returns:
      elections The elections of this `LlamaGuard38b` instance.

  - ### setElections

    public void setElections(@Nullable Boolean elections)
    Set the elections of this `LlamaGuard38b` instance.
    Parameters:
      `elections` - The elections of this `LlamaGuard38b`

  - ### codeInterpreterAbuse

    @Nonnull public LlamaGuard38b codeInterpreterAbuse(@Nullable Boolean codeInterpreterAbuse)
    Set the codeInterpreterAbuse of this `LlamaGuard38b` instance and return the same instance.
    Parameters:
      `codeInterpreterAbuse` - The codeInterpreterAbuse of this `LlamaGuard38b`
    Returns:
      The same instance of this `LlamaGuard38b` class

  - ### isCodeInterpreterAbuse

    @Nonnull public Boolean isCodeInterpreterAbuse()
    Get codeInterpreterAbuse
    Returns:
      codeInterpreterAbuse The codeInterpreterAbuse of this `LlamaGuard38b` instance.

  - ### setCodeInterpreterAbuse

    public void setCodeInterpreterAbuse(@Nullable Boolean codeInterpreterAbuse)
    Set the codeInterpreterAbuse of this `LlamaGuard38b` instance.
    Parameters:
      `codeInterpreterAbuse` - The codeInterpreterAbuse of this `LlamaGuard38b`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `LlamaGuard38b`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `LlamaGuard38b` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `LlamaGuard38b` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `LlamaGuard38b` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static LlamaGuard38b create()
    Create a new `LlamaGuard38b` instance. No arguments are required.